Page MenuHomePhabricator

Improvements to the Developer Relations plan
Closed, ResolvedPublic

Description

Feedback received about https://www.mediawiki.org/wiki/Engineering_Community_Team/Developer_Relations_team that requires more than a trivial edit on the spot.

About https://www.mediawiki.org/wiki/Engineering_Community_Team/Developer_Relations_team#Types_of_developers

I think it might be a useful idea to expand this section into an enumeration of all the different type of tech people into broad classes, and document the sorts of things they work on, so we know who the target audiance of this project is. If there are tech people who are explicitly out of scope, i think it should be explicitly documented who is definitely not a target or who is tangently a target as time permits but id largely out of scope.
https://lists.wikimedia.org/pipermail/wikitech-l/2015-June/082257.html

Event Timeline

Qgil created this task.Jun 30 2015, 8:56 PM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Qgil, Aklapper.
Qgil moved this task from Backlog to Ready to Go on the ECT-July-2015 board.Jul 29 2015, 9:12 AM
Qgil raised the priority of this task from Normal to High.Aug 10 2015, 9:05 AM

Wikimedia web API focus and MediaWiki & extensions focus is indeed blurry between gadgets, template, bots and tools.

I'm wondering if "downloading Wikimedia site data dumps for offline usage to ship it in their applications" is another potential class here. And how relevant it might be.
Do we have an idea how downloaded Wikimedia data dumps are used when it comes to making them available to others again via redistribution (hence e.g. excluding researchers who just do analyze statistics)? I attended a talk by the Endless Mobile folks this weekend who stressed how important offline availability of data on devices is in certain countries and areas.

Qgil moved this task from Backlog to Ready to Go on the ECT-August-2015 board.Aug 18 2015, 3:56 PM

Wikimedia web API focus and MediaWiki & extensions focus is indeed blurry between gadgets, template, bots and tools.

It is blurry indeed. However, I think we can ask ourselves who needs to know about Wikimedia web APIs, and who needs to know about the framework they work with in the first place. I have tried to reflect this at https://www.mediawiki.org/wiki/Engineering_Community_Team/Developer_Relations_team#Types_of_developers

I'm wondering if "downloading Wikimedia site data dumps for offline usage to ship it in their applications" is another potential class here. And how relevant it might be.

Hm. "Offline use of Wikimedia data" sounds more like a feature than like a type of development, perhaps? Looking at the types of projects they work on, it feels like they err towards the web-APIs developers audiences, don't you think? The ones we know about are relatively well organized around the offline-l mailing list, so we can ask them if needed.

Do we have an idea how downloaded Wikimedia data dumps are used when it comes to making them available to others again via redistribution (hence e.g. excluding researchers who just do analyze statistics)? I attended a talk by the Endless Mobile folks this weekend who stressed how important offline availability of data on devices is in certain countries and areas.

I just found (and then remembered) that https://meta.wikimedia.org/wiki/Offline_Projects exists.

Qgil closed this task as Resolved.Aug 27 2015, 11:16 AM

Seems to be good enough to be considered are resolved. It's a wiki page, so if there are still details to be improved we can just work on them the wiki way.